mybatis:
  refresh:
    delay-seconds: 10
    enabled: true
    sleep-seconds: 20
mybatis-plus:
  configuration:
    defaultStatementTimeout: 3
    lazy-loading-enabled: true
    map-underscore-to-camel-case: true
  global-config:
    db-config:
      id-type: auto
    mapperRegistryCache: true
  mapper-locations: classpath*:mapper/**/*.xml
server:
  compression:
    enabled: true
    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain
spring:
  autoconfigure:
    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure
  cache:
    ehcache:
      config: classpath:ehcache.xml
      enabled: false
    redis:
      enabled: true
  datasource:
    druid:
      stat-view-servlet:
        enabled: true
        login-password: '@dmin1234'
        login-username: admin
        reset-enable: true
        url-pattern: /druid/*
    dynamic:
      datasource:
        master:
          password: password
          url: jdbc:mysql://172.16.120.165:3306/usky-cloud?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true
          username: root
      druid:
        initial-size: 5
        min-idle: 5
        maxActive: 20
        maxWait: 60000
        timeBetweenEvictionRunsMillis: 60000
        minEvictableIdleTimeMillis: 300000
        validationQuery: SELECT 1 FROM DUAL
        testWhileIdle: true
        testOnBorrow: false
        testOnReturn: false
        poolPreparedStatements: true
        maxPoolPreparedStatementPerConnectionSize: 20
        filters: stat,slf4j
        connectionProperties: druid.stat.mergeSql\=true;druid.stat.slowSqlMillis\=5000
      primary: master
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    default-property-inclusion: always
    deserialization:
      fail-on-unknown-properties: false
    parser:
      allow-single-quotes: true
      allow-unquoted-control-chars: true
    serialization:
      fail-on-empty-beans: false
    time-zone: GMT+8
  redis:
    host: 172.16.120.165
    password: 123456
    port: 6379
    timeout: 10000
  influx:
    url: http://172.16.120.69:8086
    password: root
    user: root
    database: USKTSDB
  tenant:
    enable: true
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher